Name:		rhash
Version:	1.4.1
Release:	%mkrel 1
Summary:	Great utility for computing hash sums
Group:		System/Libraries
License:	MIT
URL:		https://github.com/rhash/RHash
Source0:	https://github.com/rhash/RHash/archive/v%{version}/RHash-%{version}.tar.xz
Patch0:		rhash-1.3.6-Makefile.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(openssl)

%description
RHash is a console utility for calculation  and verification of magnet links
and a wide range of hash sums like  CRC32,  MD4, MD5,  SHA1, SHA256, SHA512,
SHA3,   AICH,  ED2K,  Tiger,  DC++ TTH,  BitTorrent BTIH,   GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.

Hash sums are used to  ensure and verify integrity  of large volumes of data
for a long-term storing or transferring.

Features:
 * Output in a predefined (SFV, BSD-like) or a user-defined format.
 * Can calculate Magnet links.
 * Updating hash files (adding hash sums of files missing in the hash file).
 * Calculates several hash sums in one pass
 * Ability to process directories recursively.
 * Portability: the program works the same on Linux, *BSD or Windows.

%define devname %mklibname -d rhash

%package -n %{devname}
Summary:	Development files for lib%{name}
Group:		Development/Libraries
Requires:	%{name}

%description -n %{devname}
LibRHash is a professional,  portable,  thread-safe  C library for computing
a wide variety of hash sums, such as  CRC32, MD4, MD5, SHA1, SHA256, SHA512,
SHA3,   AICH,  ED2K,  Tiger,  DC++ TTH,  BitTorrent BTIH,   GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.
Hash sums are used  to ensure and verify integrity of  large volumes of data
for a long-term storing or transferring.

Features:
 * Small and easy to learn interface.
 * Hi-level and Low-level API.
 * Allows calculating of several hash functions simultaneously.
 * Portability: the library works on Linux, *BSD and Windows.

The %{name}-devel package contains libraries and header files for
developing applications that use lib%{name}.

%prep
%setup -qn RHash-%{version}
%apply_patches

sed -i -e '/^INSTALL_SHARED/s/644/755/' librhash/Makefile

%build

./configure \
	--cc="%{__cc}" \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--enable-lib-shared \
	--extra-cflags="%{optflags}" \
	--extra-ldflags="%{ldflags}"

%make_build

%install
%make_install install-lib-shared install-lib-so-link install-pkg-config install-lib-headers


%files
%config(noreplace) %{_sysconfdir}/rhashrc
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_libdir}/librhash.so.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/librhash.pc

%changelog
* Fri Jun 11 2021 tex - 1.4,1-1pclos2021
- create pkg
